Subject: bug#6070: 23.1.96; delete-by-moving-to-trash

From: Leo <[email-masked]>
Date: Sat, 01 May 2010 02:41:41 +0100

While experimenting some of the new features, I quite like to use
delete-by-moving-to-trash to double protect deleting files by accident.

However, with (setq delete-by-moving-to-trash t), a lot of (internal)
temporary files are also moved to the trash bin. See the attached file
for an output of `ls' in the .Trash directory after roughly two hours of
emacs.

To reproduce, just (setq delete-by-moving-to-trash t) and carry on with
normal Emacs editing. After a while you should notice the trash bin
heavily populated.

The trash bin is a buffer area to rescue a lost file. Flood it with many
internal temp files makes it very difficult to do so. Before emptying
the trash bin (or remove files permanently) I (I guess many will do the
same) often have a quick look at the files. This is now almost
impossible if delete-by-moving-to-trash has been used.

Could someone take a look at this issue? Thank you.

Leo